## smtm 1.6.11

=== debian/changelog ===
smtm (1.6.11) unstable; urgency=low

  * debian/rules: Use DESTDIR for required MakeMaker change in Perl 5.22
							(Closes: #795680)

  * debian/rules: Add build-arch and build-indep targets [lintian]
  * debian/control: Add Depends: on ${misc:Depends} [lintian]
  * debian/control: Update Standards-Version: to 3.9.6 [lintian]
  * debian/copyright: Refer to version'ed GPL [lintian]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Aug 2015 08:47:25 -0500
